# -*- Mode: perl; indent-tabs-mode: nil -*-
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
# Copyright (C) 2012 Jolla Ltd.
# Contact: Pami Ketolainen <pami.ketolainen@jollamobile.com>
#
# The Initial Developer of the Original Code is "Nokia Corporation".
# Portions created by the Initial Developer are Copyright (C) 2011 the
# Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   David Wilson <ext-david.3.wilson@nokia.com>

package Bugzilla::Extension::BayotBase::Config;
use strict;
use warnings;
use 5.10.1;

use Bugzilla::Config::Common;

sub get_param_list {
  my ($class) = @_;

  my @params = (
    {name => 'bb_use_debug_js', type => 'b', default => 0,},
    {
      name    => 'bb_bug_entry_fields',
      type    => 't',
      default => 'summary product component severity priority comment',
    },
  );
  return @params;
}

1;

__END__

=head1 Description

Bugzilla::Extension::BayotBase::Config - A module for specifying parameters to be added to the data/params.json file.

=head1 Parameters

=over 4

=item bb_use_debug_js

Source the non-minimised JS.

=item bb_bug_entry_fields

Fields that will be shown on the inline bug entry forms.

=back

