/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
 
 /*
JavaScript functions for bug list view configuration.
*/

function insert(into,value,text) {
    try {
        var option=document.createElement("OPTION");
        option.value=value;
        option.text=text;
        var count=into.options.length;
        var i=0;
        while (i<count && !into.options[i].selected) {
            i++;
        }
        if (i<count) {
            into.options.add(option,i);
        } else {
            into.options.add(option);
        }
    }
    catch(er) {
        alert(er)
    }
}

function move(from,to) {
    try {
        var count=from.options.length;
        for (i=0;i<count;i++) {
            if (from.options[i].selected) {
                insert(to,from.options[i].value,from.options[i].text);
                from.remove(i);
                count--;
                i--;
            }
        }
    }
    catch(er) {
        alert(er)
    }
}

function position(object,index,offset) {
    try {
        var count=object.options.length;
        var newindex=index+offset;
        if (0 <= newindex < count) {
            var tempvalue=object.options[newindex].value;
            var temptext=object.options[newindex].text;
            object.options[newindex].value=object.options[index].value;
            object.options[newindex].text=object.options[index].text;
            object.options[index].value=tempvalue;
            object.options[index].text=temptext;
        }
    }
    catch(er) {
        alert(er)
    }
}

function select(object,value) {
    try {
        var count=object.options.length;
        for (i=0;i<count;i++) {
            if (object.options[i].selected!=value) {
                object.options[i].selected=value;
            }
        }
    }
    catch(er) {
        alert(er)
    }
}

function disable(object,value) {
    try {
        var count=object.options.length;
        for (i=0;i<count;i++) {
            var id=object.options[i].value;
            var check=document.getElementById(id);
            if (check && check.disabled!=value) {
                if (!check.disabled) {
                    check.checked=false;
                }
                check.disabled=value;
            }
        }
    }
    catch(er) {
        alert(er)
    }
}

function show_add() {
    try {
        move(document.getElementById("hide"),document.getElementById("show"));
        disable(document.getElementById("show"),false);
    }
    catch(er) {
        alert(er)
    }
}

function show_remove() {
    try {
        select(document.getElementById("hide"),false);
        move(document.getElementById("show"),document.getElementById("hide"));
        disable(document.getElementById("hide"),true);
    }
    catch(er) {
        alert(er)
    }
}

function show_up() {
    try {
        var object=document.getElementById("show");
        var count=object.options.length;
        for (i=0;i<count;i++) {
            if (object.options[i].selected) {
                if (i>0) {
                    position(object,i,-1);
                    object.options[i].selected=false;
                    object.options[i-1].selected=true;
                }
            }
        }
    }
    catch(er) {
        alert(er)
    }
}

function show_down() {
    try {
        var object=document.getElementById("show");
        var count=object.options.length;
        for (i=count-1;i>=0;i--) {
            if (object.options[i].selected) {
                if (i<count-1) {
                    position(object,i,1);
                    object.options[i].selected=false;
                    object.options[i+1].selected=true;
                }
            }
        }
    }
    catch(er) {
        alert(er)
    }
}

function focus_commit() {
    try {
        document.getElementById("submit").focus();
        select(document.getElementById("hide"),false);
        select(document.getElementById("show"),true);
    }
    catch(er) {
        alert(er)
    }
}

function unfocus_commit() {
    try {
        document.getElementById("submit").blur();
        select(document.getElementById("show"),false);
    }
    catch(er) {
        alert(er)
    }
}
